<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2011 Helmut Hackbarth <info@t3solution.de>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * [CLASS/FUNCTION INDEX of SCRIPT]
 *
 * Hint: use extdeveval to insert/update function index above.
 */

require_once(PATH_tslib.'class.tslib_pibase.php');

/**
 * Plugin 'JSliderNews' for the 't3s_jslidernews' extension.
 *
 * @author	Helmut Hackbarth <info@t3solution.de>
 * @package	TYPO3
 * @subpackage	tx_t3sjslidernews
 */
class tx_t3sjslidernews_pi1 extends tslib_pibase {
	var $prefixId      = 'tx_t3sjslidernews_pi1';		// Same as class name
	var $scriptRelPath = 'pi1/class.tx_t3sjslidernews_pi1.php';	// Path to this script relative to the extension dir.
	var $extKey        = 't3s_jslidernews';	// The extension key.
	var $pi_checkCHash = true;

	var $imageWidth = '';
	var $imageHeight = '';
	var $thumbnailWidth = '';
	var $thumbnailHeight = '';
	var $sliderWidth = '';
	var $sliderHeight = '';
	var $extPath = '';
  
	/**
	 * The main method of the PlugIn
	 *
	 * @param	string		$content: The PlugIn content
	 * @param	array		$conf: The PlugIn configuration
	 * @return	The content that is displayed on the website
	 */
	public function main($content, $conf) {
		$this->conf = $conf;
		$this->pi_setPiVarDefaults();
		$this->pi_loadLL();

    $this->extPath = t3lib_extMgm::siteRelPath($this->extKey);
 
    $this->init();

    switch ($this->conf['contentStyle']) {
      case 'tt_news':
        $sliderRecords = $this->getSliderNewsRecords();
        $content = $this->getNews($sliderRecords);
      break;
      case 'tt_content':
        $sliderRecords = $this->getSliderContentRecords();
        $content = $this->getContent($sliderRecords);
      break;
      case 'pages':
        $sliderRecords = $this->getSliderPagesRecords();
        $content = $this->getMenu($sliderRecords);
      break;
    }

    $this->addHeaderParts();
	
		return $this->pi_wrapInBaseClass($content);
	}

 
	protected function init(){
    $this->pi_initPIflexForm();
		$piFlexForm = $this->cObj->data['pi_flexform'];
 		foreach ($piFlexForm['data'] as $sheet => $data) {
			foreach ($data as $lang => $value) {
				foreach ($value as $key => $val) {
						$this->conf[$key] = $this->pi_getFFvalue($piFlexForm, $key, $sheet);
        }
      }
    }
  }	


	protected function getSliderNewsRecords() {
    $select = 'tt_news.uid,tt_news.pid,tt_news.title,tt_news.image,tt_news.short,tt_news.author,tt_news.author_email,
    tt_news.bodytext,tt_news.datetime,tt_news.imagetitletext,tt_news.imagealttext,tt_news.t3_origuid';
    $whereClause = 'AND tt_news.type = \'0\'';    
    if ($this->conf['sliderCat']) {
      $newsCats = t3lib_div::trimExplode(',', $this->conf['sliderCat']);
      if (count($newsCats)>0) {
        $catWhere = array();
        foreach ($newsCats as $newsCat) {
          $catWhere[] = 'tt_news_cat_mm.uid_foreign = '.$newsCat;
        }         
        $catWhere = implode(' OR ', $catWhere);
        $whereClause .= ' AND ('.$catWhere.')';
      } else {
        $whereClause .= ' AND tt_news_cat_mm.uid_foreign = '.$this->conf['sliderCat'];
      }         
    }
    if ($this->conf['requireImage'] && !$GLOBALS['TSFE']->sys_language_content) {
      $whereClause .= ' AND tt_news.image != \' \' ';
    }    
    $whereClause .= ' AND tt_news.sys_language_uid = ' . $GLOBALS['TSFE']->sys_language_content;  
    $whereClause .= $this->cObj->enableFields('tt_news_cat');
    $whereClause .= $this->cObj->enableFields('tt_news');

    if ($this->conf['newsLimit']) {
      $res = $GLOBALS['TYPO3_DB']->exec_SELECT_mm_query($select, 'tt_news', 'tt_news_cat_mm', 'tt_news_cat', $whereClause,'tt_news.datetime '.$this->conf['ascDesc'].'','',$this->conf['newsLimit']);
    } else {
      $res = $GLOBALS['TYPO3_DB']->exec_SELECT_mm_query($select, 'tt_news', 'tt_news_cat_mm', 'tt_news_cat', $whereClause,'tt_news.datetime '.$this->conf['ascDesc'].'','','20');
    }
    $sliderRecords = array();
    while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) { 
      $sliderRecords[$row['uid']] = $row;
      if ($GLOBALS['TSFE']->sys_language_content) {
        $addWhere = 'uid = '.$row['t3_origuid']; 
        $addWhere .= $this->cObj->enableFields('tt_news');
        $orderBy = '\''.$this->conf['ascDesc'].'\'';
        if ($this->conf['newsLimit']) {
          $res2 = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid,image','tt_news',$addWhere,'',$orderBy,$this->conf['newsLimit']);
        } else {
          $res2 = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid,image','tt_news',$addWhere,'',$orderBy,'20');
        }
        while ($row2 = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res2)) {
          $sliderRecords[$row['uid']]['image'] = $row2['image'];
        }
      }
    }
    $GLOBALS['TYPO3_DB']->sql_free_result($res2);
    $GLOBALS['TYPO3_DB']->sql_free_result($res); 

    return $sliderRecords; 
  }


	protected function getSliderContentRecords() {
    $contentElements = t3lib_div::trimExplode(',', $this->conf['contentElement']);	
    $sliderRecords = array();
 		foreach ($contentElements as $contentElement) {
      $select = 'uid,pid,header,bodytext,image,subheader,imagecaption,date';
      $whereClause = 'uid='.$contentElement;  
      $whereClause .= ' AND CType=\'textpic\'';
      $whereClause .= $this->cObj->enableFields('tt_content');
      $res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($select, 'tt_content', $whereClause);
      while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) { 
            $sliderRecords[] = $row;
      }
    }
    $GLOBALS['TYPO3_DB']->sql_free_result($res); 

    return $sliderRecords; 
  }


	protected function getSliderPagesRecords() {
    $pages = t3lib_div::trimExplode(',', $this->conf['pages']);	
    $sliderRecords = array();
    foreach ($pages as $page) {
      if ($GLOBALS['TSFE']->sys_language_content) {
        $page = str_split($page,'23');
        $page = $page['1'];
        $select = 'uid,pid,title,subtitle,abstract';
        $whereClause = 'uid='.$page;  
        $whereClause .= $this->cObj->enableFields('pages_language_overlay');
#        $res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($select, 'pages_language_overlay', $whereClause, 'sys_language_uid');
        $res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($select, 'pages_language_overlay', $whereClause);
      } else {
        $page = str_split($page,'6');
        $page = $page['1'];
        $select = 'uid,title,subtitle,abstract,media';
        $whereClause = 'uid='.$page;  
        $whereClause .= $this->cObj->enableFields('pages');
        $res = $GLOBALS['TYPO3_DB']->exec_SELECTquery($select, 'pages', $whereClause);
      }
      while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) { 
        $sliderRecords[$row['uid']] = $row;
        if ($GLOBALS['TSFE']->sys_language_content) {
          $select = 'media';
          $whereClause = 'uid='.$row['pid'];  
          $whereClause .= $this->cObj->enableFields('pages');
          $res2 = $GLOBALS['TYPO3_DB']->exec_SELECTquery($select, 'pages', $whereClause);      
          while ($row2 = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res2)) {
            $sliderRecords[$row['uid']]['media'] = $row2['media'];          
          }
        }
      }
    }
    $GLOBALS['TYPO3_DB']->sql_free_result($res2); 
    $GLOBALS['TYPO3_DB']->sql_free_result($res); 

    return $sliderRecords; 
  }


 	protected function getNews($sliderRecords) {
    $uploadDir = 'uploads/pics/';
    if (!$this->conf['templateFile']) $this->conf['templateFile'] = $this->extPath.'slidernews_template.html';
    $templateFile = $this->cObj->fileResource($this->conf['templateFile']);
    $templateFile = $this->cObj->getSubpart($templateFile,'###SLIDERSTYLE_'.$this->conf['sliderStyle'].'###');

    $marks = $this->getSliderSize($sliderRecords);
    $n = '1';
    foreach ($sliderRecords as $record) {
      $linkConf = array(
        'parameter'         => $this->conf['ttnewsSinglePid'],
        'additionalParams'  => '&tx_ttnews[tt_news]= '.$record['uid'],
        'useCacheHash'      => '1',
        'ATagParams'        => 'class="readmore"',
        'target'            => '_parent'
      );
      $emailLinkConf = array(
        'parameter'         => $record['author_email'].'?subject='.$record['title'].'&cc='.$record['author_email'],
        'ATagParams'        => 'class="authoremail"',
        'target'            => '_parent'
      );
      $imageRecord = t3lib_div::trimExplode(',', $record['image']);
      $imageConf['file'] = $uploadDir . $imageRecord['0'];
      $thumbnailConf['file'] = $uploadDir . $imageRecord['0'];
      if (!$record['image']) {
        if ($this->conf['defaultImage']) {
          $imageConf['file'] = 'uploads/tx_t3sjslidernews/' . $this->conf['defaultImage'];
          $thumbnailConf['file'] = 'uploads/tx_t3sjslidernews/' . $this->conf['defaultImage'];
        } else {
          $imageConf['file'] =  $this->extPath.'res/images/typo3_logo.jpg';
          $thumbnailConf['file'] =  $this->extPath.'res/images/typo3_logo.jpg';
        }
      }
      $imageConf['file.']['width'] = intval($this->imageWidth).'c';
      $imageConf['file.']['height'] = intval($this->imageHeight);
      $imageConf['stdWrap.']['addParams.']['title'] = $record['imagetitletext'];
      $imageConf['stdWrap.']['addParams.']['alt'] = $record['imagealttext'];

      $thumbnailConf['file.']['width'] = intval($this->thumbnailWidth).'c';
      $thumbnailConf['file.']['height'] = intval($this->thumbnailHeight);
 
      $marksItem['###NUMBER###']  = $n;
      if ($record['title']) {
        $marksItem['###TITLE###'] = $record['title'];
        $marksItem['###TITLELINK###']  = $this->cObj->typolink($record['title'], $linkConf);
      } else {
        $marksItem['###TITLE###'] =  '';
        $marksItem['###TITLELINK###']  =  '';
      }

      if ($record['author']) {
        $marksItem['###AUTHOR###']  = $record['author'];
        if ($record['author_email']) {
          $marksItem['###AUTHORLINK###']  = $this->cObj->typolink($record['author'], $emailLinkConf);
        } else {
          $marksItem['###AUTHORLINK###']  = $this->cObj->typolink($record['author'], $linkConf);
        }
      } else {
        $marksItem['###AUTHOR###']  =  '';
        $marksItem['###AUTHORLINK###']  = '';
      }
      $marksItem['###DATE###'] = strftime($this->conf['dateFormat'],$record['datetime']);
      $marksItem['###IMAGE###'] = $this->cObj->IMAGE($imageConf);

      if(!$this->conf['fixedLgd']) $this->conf['fixedLgd'] = '120';
      if ($record['short']) {
        $record['short'] = t3lib_div::fixed_lgd_cs($record['short'], $this->conf['fixedLgd']);
        $marksItem['###TEXT###'] = $record['short'];
        if (strlen($record['short']) >= $this->conf['fixedLgd']) {
              $marksItem['###READMORE###']  = $this->cObj->typolink($this->pi_getLL('readmore'), $linkConf);
        } else {
              $marksItem['###READMORE###']  = '';
        }
      } else {
        $record['bodytext'] = t3lib_div::fixed_lgd_cs($record['bodytext'], $this->conf['fixedLgd']);
        $marksItem['###TEXT###'] = $record['bodytext'];
        if (strlen($record['bodytext']) >= $this->conf['fixedLgd']) {
              $marksItem['###READMORE###']  = $this->cObj->typolink($this->pi_getLL('readmore'), $linkConf);
        } else {
              $marksItem['###READMORE###']  = '';
        }
      }
      $marksItem['###THUMBNAIL###'] = $this->cObj->IMAGE($thumbnailConf);   		

			$templateFileItem = $this->cObj->getSubpart($templateFile,'###SLIDER###');		
			$subpartContentArray['###SLIDER###'] .= $this->cObj->substituteMarkerArrayCached($templateFileItem,$marksItem);
		  $templateFileItem = $this->cObj->getSubpart($templateFile,'###NAVIGATION###');		
		  $subpartContentArray['###NAVIGATION###'] .= $this->cObj->substituteMarkerArrayCached($templateFileItem,$marksItem);
      $n++;
    }
    $content .= $this->cObj->substituteMarkerArrayCached($templateFile, $marks, $subpartContentArray);    
 
    return $content;
  }


 	protected function getContent($sliderRecords) {
    $uploadDir = 'uploads/pics/';
    if (!$this->conf['templateFile']) $this->conf['templateFile'] = $this->extPath.'slidercontent_template.html';
    $templateFile = $this->cObj->fileResource($this->conf['templateFile']);
    $templateFile = $this->cObj->getSubpart($templateFile,'###SLIDERSTYLE_'.$this->conf['sliderStyle'].'###');

    $marks = $this->getSliderSize($sliderRecords);
    $n = '1';
 		foreach ($sliderRecords as $record) {
      $linkConf = array(
        'parameter'         => $record['pid'],
        'ATagParams'        => 'class="readmore"',
        'target'            => '_parent'
      );
      $imageRecord = t3lib_div::trimExplode(',', $record['image']);

      $imageConf['file'] = $uploadDir . $imageRecord['0'];
      $imageConf['file.']['width'] = intval($this->imageWidth).'c';
      $imageConf['file.']['height'] = intval($this->imageHeight);
      $imageConf['stdWrap.']['addParams.']['title'] = $record['titleText'];
      $imageConf['stdWrap.']['addParams.']['alt'] = $record['altText'];

      $thumbnailConf['file'] = $uploadDir . $imageRecord['0'];
      $thumbnailConf['file.']['width'] = intval($this->thumbnailWidth).'c';
      $thumbnailConf['file.']['height'] = intval($this->thumbnailHeight);
 
      $marksItem['###NUMBER###']  = $n;

      if ($record['header']) {
        $marksItem['###TITLE###'] = $record['header'];
        $marksItem['###TITLELINK###']  = $this->cObj->typolink($record['header'], $linkConf);
      } else {
        $marksItem['###TITLE###'] =  '';
        $marksItem['###TITLELINK###']  =  '';
      }
      if ($record['subheader']) {
        $marksItem['###SUBTITLE###'] = $record['subheader'];
      } else {
        $marksItem['###SUBTITLE###'] =  '';
      }
      if ($record['date']) {
        $marksItem['###DATE###'] = strftime($this->conf['dateFormat'],$record['date']);
      } else {
        $marksItem['###DATE###'] = '';
      }
      $marksItem['###IMAGE###'] = $this->cObj->IMAGE($imageConf);

      if(!$this->conf['fixedLgd']) $this->conf['fixedLgd'] = '120';
      $record['bodytext'] = t3lib_div::fixed_lgd_cs($record['bodytext'], $this->conf['fixedLgd']);
      $marksItem['###TEXT###'] = $record['bodytext'];
      if (strlen($record['bodytext']) >= $this->conf['fixedLgd']) {
            $marksItem['###READMORE###']  = $this->cObj->typolink($this->pi_getLL('readmore'), $linkConf);
      } else {
            $marksItem['###READMORE###']  = '';
      }
      $marksItem['###THUMBNAIL###'] = $this->cObj->IMAGE($thumbnailConf);   		
			$templateFileItem = $this->cObj->getSubpart($templateFile,'###SLIDER###');		
			$subpartContentArray['###SLIDER###'] .= $this->cObj->substituteMarkerArrayCached($templateFileItem,$marksItem);
		  $templateFileItem = $this->cObj->getSubpart($templateFile,'###NAVIGATION###');		
		  $subpartContentArray['###NAVIGATION###'] .= $this->cObj->substituteMarkerArrayCached($templateFileItem,$marksItem);
      $n++;
    }

    $content .= $this->cObj->substituteMarkerArrayCached($templateFile, $marks, $subpartContentArray);    
 
    return $content;
  }


 	protected function getMenu($sliderRecords) {
    $uploadDir = 'uploads/media/';
    if (!$this->conf['templateFile']) $this->conf['templateFile'] = $this->extPath.'slidermenu_template.html';
    $templateFile = $this->cObj->fileResource($this->conf['templateFile']);
    $templateFile = $this->cObj->getSubpart($templateFile,'###SLIDERSTYLE_'.$this->conf['sliderStyle'].'###');
    $marks = $this->getSliderSize($sliderRecords);
    $n = '1';
 		foreach ($sliderRecords as $record) {
      $linkConf = array(
        'parameter'         => $record['uid'],
        'ATagParams'        => 'class="readmore"',
        'target'            => '_parent'
      );
      $imageRecord = t3lib_div::trimExplode(',', $record['media']);

      $imageConf['file'] = $uploadDir . $imageRecord['0'];
      $imageConf['file.']['width'] = intval($this->imageWidth).'c';
      $imageConf['file.']['height'] = intval($this->imageHeight);

      $thumbnailConf['file'] = $uploadDir . $imageRecord['0'];
      $thumbnailConf['file.']['width'] = intval($this->thumbnailWidth).'c';
      $thumbnailConf['file.']['height'] = intval($this->thumbnailHeight);
 
      $marksItem['###NUMBER###']  = $n;
      if ($record['title']) {
        $marksItem['###TITLE###'] = $record['title'];
        $marksItem['###TITLELINK###']  = $this->cObj->typolink($record['title'], $linkConf);
      } else {
        $marksItem['###TITLE###'] =  '';
        $marksItem['###TITLELINK###']  =  '';
      }
      if ($record['subtitle']) {
        $marksItem['###SUBTITLE###'] = $record['subtitle'];
      } else {
        $marksItem['###SUBTITLE###'] =  '';
      }
      $marksItem['###IMAGE###'] = $this->cObj->IMAGE($imageConf);

      if(!$this->conf['fixedLgd']) $this->conf['fixedLgd'] = '120';
      $record['abstract'] = t3lib_div::fixed_lgd_cs($record['abstract'], $this->conf['fixedLgd']);
      $marksItem['###TEXT###'] = $record['abstract'];
      if (strlen($record['abstract']) >= $this->conf['fixedLgd']) {
            $marksItem['###READMORE###']  = $this->cObj->typolink($this->pi_getLL('readmore'), $linkConf);
      } else {
            $marksItem['###READMORE###']  = '';
      }
      $marksItem['###THUMBNAIL###'] = $this->cObj->IMAGE($thumbnailConf);   		
			$templateFileItem = $this->cObj->getSubpart($templateFile,'###SLIDER###');		
			$subpartContentArray['###SLIDER###'] .= $this->cObj->substituteMarkerArrayCached($templateFileItem,$marksItem);
		  $templateFileItem = $this->cObj->getSubpart($templateFile,'###NAVIGATION###');		
		  $subpartContentArray['###NAVIGATION###'] .= $this->cObj->substituteMarkerArrayCached($templateFileItem,$marksItem);
      $n++;
    }

    $content .= $this->cObj->substituteMarkerArrayCached($templateFile, $marks, $subpartContentArray);    
 
    return $content;
  }


 	protected function getSliderSize($sliderRecords) {
    $this->sliderWidth = $this->conf['sliderWidth'];
    if (!$this->conf['sliderWidth']) $this->sliderWidth = '700';
    $this->sliderHeight = $this->conf['sliderHeight'];
    if (!$this->conf['sliderHeight']) $this->sliderHeight = '300';
    if ($this->conf['sliderStyle'] == '2' || $this->conf['sliderStyle'] == '3' || $this->conf['sliderStyle'] == '5') { 
      $this->sliderHeight = $this->conf['maxItemDisplay'].'00';
    }
    $this->imageWidth = $this->sliderWidth;
    $this->imageHeight = $this->sliderHeight;
    if ($this->conf['sliderStyle'] == '2' || $this->conf['sliderStyle'] == '5') {
      $this->imageWidth = $this->sliderWidth - '295';
    } 
    if ($this->conf['sliderStyle'] == '3') {
      $this->imageWidth = $this->sliderWidth - '293';
    }

    $marks['###SLIDERWIDTH###'] = $this->sliderWidth;
    $marks['###IMAGEWIDTH###'] = $this->imageWidth;
    $marks['###IMAGEHEIGHT###'] = $this->imageHeight;
    
    $thumbnailWidth  = $this->imageWidth / '12';
    $this->thumbnailWidth  = t3lib_div::intval_positive($thumbnailWidth);
    $thumbnailHeight  = $this->imageHeight / '12';
    $this->thumbnailHeight  = t3lib_div::intval_positive($thumbnailHeight);
    if ($this->conf['sliderStyle'] == '2' || $this->conf['sliderStyle'] == '3' || $this->conf['sliderStyle'] == '5') {
      $this->thumbnailWidth  = '60';
      $this->thumbnailHeight  = '60';
    }
 
    return $marks;
  }


  protected function addHeaderParts() {
    $extConf = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['t3s_jslidernews']);
    if ($extConf['jqueryNoConflict']) {
      $queryNoConflict = 'var $j = jQuery.noConflict();';
      $queryMode = '$j';
    } else {
      $queryNoConflict = '';
      $queryMode = '$';
    } 
    $pagerender = $GLOBALS['TSFE']->getPageRenderer();
    // checks if t3jquery is loaded
    if (t3lib_extMgm::isLoaded('t3jquery')) {
      require_once(t3lib_extMgm::extPath('t3jquery').'class.tx_t3jquery.php');
    }
    // if t3jquery is loaded and the custom Library had been created
    if (T3JQUERY === true) {
      tx_t3jquery::addJqJS();
    }
    if ($extConf['includeJquery']) {
      $pagerender->addJsLibrary(' jQuery JavaScript Library ','https://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js', 'text/javascript', TRUE, FALSE, '');
    }
    if($extConf['includeJqueryEasing']) {
      $pagerender->addJsFile($this->extPath.'res/js/jquery.easing.js', 'text/javascript', TRUE, FALSE, '');
    }
    $pagerender->addJsFile($this->extPath.'res/js/jslidernews.js', 'text/javascript', TRUE, FALSE, '');

    if (!$this->conf['duration']) $this->conf['duration'] = '1200'; 
    if ($this->conf['auto']) $this->conf['auto'] = 'true'; 
    else $this->conf['auto'] = 'false';
    if (!$this->conf['interval']) $this->conf['interval'] = '4000'; 

    switch ($this->conf['sliderStyle']) {
      case '1':
        $navigatorHeight = $this->thumbnailHeight + '10';
        $navigatorWidth = $this->thumbnailWidth + '10';
        $js = $queryNoConflict.$queryMode.'(document).ready( function(){          
          var buttons = { previous:'.$queryMode.'(\'#lofslidecontent45 .lof-previous\') ,
          next:'.$queryMode.'(\'#lofslidecontent45 .lof-next\') };
          $obj = '.$queryMode.'(\'#lofslidecontent45\').lofJSidernews( {
          interval        : '.$this->conf['interval'].',      
          easing          : \''.$this->conf['easing'].'\',
          duration        : '.$this->conf['duration'].',
          auto            : '.$this->conf['auto'].',
          maxItemDisplay  : '.$this->conf['maxItemDisplay'].',
          navPosition     : \'horizontal\',
          navigatorHeight : '.$navigatorHeight.',
          navigatorWidth  : '.$navigatorWidth.',
          mainWidth       : '.$this->sliderWidth.',
          buttons                                       : buttons} );  
        });';
      break;
      case '2':
        $js = $queryNoConflict.$queryMode.'(document).ready( function(){          
          '.$queryMode.'(\'#lofslidecontent45\').lofJSidernews( {
          interval        : '.$this->conf['interval'].',
          easing          : \''.$this->conf['easing'].'\',
          maxItemDisplay  : '.$this->conf['maxItemDisplay'].',
          duration        : '.$this->conf['duration'].',
          mainWidth       :  '.$this->imageWidth.',
          auto            : '.$this->conf['auto'].' } );                                                                   
        });';
      break;
      case '3':
        $js = $queryNoConflict.$queryMode.'(document).ready( function(){          
          '.$queryMode.'(\'#lofslidecontent45\').lofJSidernews( {
          interval        : '.$this->conf['interval'].',
          easing          : \''.$this->conf['easing'].'\',
          maxItemDisplay  : '.$this->conf['maxItemDisplay'].',
          mainWidth       :  '.$this->imageWidth.',
          duration        : '.$this->conf['duration'].',
          auto            : '.$this->conf['auto'].' } );                                                                                   
        });';
      break;
      case '4':
        $js = $queryNoConflict.$queryMode.'(document).ready( function(){          
          $obj = '.$queryMode.'(\'#lofslidecontent45\').lofJSidernews( {
          interval        : '.$this->conf['interval'].',
          easing          : \''.$this->conf['easing'].'\',
          duration        : '.$this->conf['duration'].',
          auto            : '.$this->conf['auto'].',
          maxItemDisplay  :'.$this->conf['maxItemDisplay'].',
          navPosition     : \'horizontal\',
          navigatorHeight : 15,
          navigatorWidth  : 25,
          mainWidth       : '.$this->sliderWidth.'} );              
        });';
      break;
      case '5':
        $js = $queryNoConflict.$queryMode.'(document).ready( function(){          
          '.$queryMode.'(\'#lofslidecontent45\').lofJSidernews( {
          interval        : '.$this->conf['interval'].',
          auto            : '.$this->conf['auto'].',
          direction       : \'opacity\',
          maxItemDisplay  : '.$this->conf['maxItemDisplay'].',
          mainWidth       :  '.$this->imageWidth.',
          duration        : '.$this->conf['duration'].',
          easing          : \''.$this->conf['easing'].'\'} );                                                                                        
        });';
      break;
      case '6':
        $js = $queryNoConflict.$queryMode.'(document).ready( function(){          
          var buttons = { previous:'.$queryMode.'(\'#lofslidecontent45 .lof-previous\') ,
          next:'.$queryMode.'(\'#lofslidecontent45 .lof-next\') };
          $obj = '.$queryMode.'(\'#lofslidecontent45\').lofJSidernews( {
          interval        : '.$this->conf['interval'].',
          direction       : \'opacity\',  
          easing          : \''.$this->conf['easing'].'\',
          maxItemDisplay  : '.$this->conf['maxItemDisplay'].',
          duration        : '.$this->conf['duration'].',
          auto            : '.$this->conf['auto'].',
          mainWidth       :  '.$this->sliderWidth.',
          buttons         : buttons} );  
        });';
      break;
    }

    if ($this->conf['cssFile']) {
      $file = $this->conf['cssFile'];
    } else {
      $file = $this->extPath.'res/css/style'.$this->conf['sliderStyle'].'.css';
    }
    $pagerender->addCssFile($file, $rel = 'stylesheet', $media = 'all', $title = 'style1',	$compress = TRUE,	$forceOnTop = FALSE, $allWrap = ''); 
    $name=' JavaScript for EXT '.$this->extKey.' ';
    $pagerender->addJsFooterInlineCode($name,$js);  
  }

	
}


if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/t3s_jslidernews/pi1/class.tx_t3sjslidernews_pi1.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/t3s_jslidernews/pi1/class.tx_t3sjslidernews_pi1.php']);
}

?>